> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qudata.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Список провайдеров

> Возвращает список провайдеров с маркетплейса Qudata.ai



## OpenAPI

````yaml https://service-docs.qudata.ai/api/openapi.en.json get /v0/market/providers
openapi: 3.1.0
info:
  title: QuData Public API
  version: v0
servers:
  - url: https://api.qudata.ai
security: []
paths:
  /v0/market/providers:
    get:
      tags:
        - market
      summary: Список провайдеров
      description: Возвращает список провайдеров с маркетплейса Qudata.ai
      operationId: get_providers_v0_market_providers_get
      parameters:
        - name: country
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Country
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/ProvidersSortParams'
              - type: 'null'
            title: Sort By
        - name: start
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Start
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 10
            title: Limit
        - name: locale
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/Locale'
              - type: 'null'
            default: ru
            title: Locale
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginationResponse_list_ProviderResponse__
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - AuthApiKey: []
components:
  schemas:
    ProvidersSortParams:
      type: string
      enum:
        - score_asc
        - score_desc
      title: ProvidersSortParams
    Locale:
      type: string
      enum:
        - ru
        - en
      title: Locale
    PaginationResponse_list_ProviderResponse__:
      properties:
        ok:
          type: boolean
          title: Ok
          default: true
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/ProviderResponse'
              type: array
            - type: 'null'
          title: Data
        total_items:
          type: integer
          title: Total Items
          default: 0
      type: object
      title: PaginationResponse[list[ProviderResponse]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProviderResponse:
      properties:
        id:
          type: string
          title: Id
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        name:
          type: string
          title: Name
        translit_name:
          type: string
          title: Translit Name
        country:
          type: string
          title: Country
        logo:
          type: string
          title: Logo
        offers:
          type: integer
          title: Offers
          default: 0
        gpus_count:
          type: integer
          title: Gpus Count
          default: 0
      type: object
      required:
        - id
        - name
        - translit_name
        - country
        - logo
      title: ProviderResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    AuthApiKey:
      type: apiKey
      in: header
      name: X-Api-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.